package com.hai.common.pay.entity;

public enum OrderType {
    // 建议将支付频率高的模块放在前面
    GOODS_ORDER("GOODS_ORDER", "goodsOrderService", "购买商品"),
    RECHARGE_ORDER("RECHARGE_ORDER", "rechargeOrderService", "充值订单"),
    KFC_ORDER("KFC", "kfcOrderService", "KFC订单"),
    STARBUCKS_ORDER("STARBUCKS", "starbucksOrderService", "星巴克订单"),
    CINEMA_ORDER("CINEMA", "cinemaOrderService", "电影票订单"),
    MOBILE_ORDER("MOBILE", "mobileOrderService", "话费充值订单"),
    THIRD_ORDER("THIRD", "thirdOrderService", "会员充值充值订单"),
    TEST("TEST", "testPayService", "支付测试"),
    ;

    private String moduleCode;
    private String service;
    private String moduleName;

    private OrderType(String moduleCode, String service, String moduleName) {
        this.moduleCode = moduleCode;
        this.service = service;
        this.moduleName = moduleName;
    }

    public String getModuleCode() {
        return moduleCode;
    }

    private void setModuleCode(String moduleCode) {
        this.moduleCode = moduleCode;
    }

    public String getService() {
        return service;
    }

    private void setService(String service) {
        this.service = service;
    }

    public String getModuleName() {
        return moduleName;
    }

    private void setModuleName(String moduleName) {
        this.moduleName = moduleName;
    }
}
